﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Virgee.Common.Serializers;

namespace Virgee.Common.Services.Clients
{
    /// <summary>
    /// An HTTP client that can communicate to a RESTful service using json format
    /// </summary>
    public class JsonServiceClient : HttpServiceClient
    {
        /// <summary>
        /// Constructs a new instance.
        /// </summary>
        public JsonServiceClient()
            : base(new JsonSerializer())
        {
            // This space intentionally left blank
        }
    }
}
