﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Virgee.Common.Serializers;

namespace Virgee.Common.Services.Clients
{
    /// <summary>
    /// An HTTP client that can communicate to a RESTful service using XML format
    /// </summary>
    public class XmlServiceClient : HttpServiceClient
    {
        /// <summary>
        /// Constructs a new instance.
        /// </summary>
        public XmlServiceClient()
            : base(new XmlSerializer())
        {
            // This space intentionally left blank
        }
    }
}
